Phone & voice · Voice
Hangs up a live call.
POST
https://api.pozy.ai/v1/voice/calls/{id}/endendVoiceCall
Guides: Voice calls, Browser calling, AI voice agents
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
idrequired | string |
Example
curl -X POST "https://api.pozy.ai/v1/voice/calls/6bfebd43ddc270f6d2c56fc5/end" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/voice/calls/6bfebd43ddc270f6d2c56fc5/end", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/voice/calls/6bfebd43ddc270f6d2c56fc5/end",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
successbooleancallIdstringstatusstring
200 response
{
"success": true,
"callId": "6f502e3f20741dfe2abae39e",
"status": "active"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Voice
GETList phone callsPOSTPlace an outbound phone callGETGet a phone callGETGet a call recordingPOSTBlind-transfer a live callGETEstimate call costPOSTMint a browser softphone sessionPOSTDial from the browser softphonePOSTEnable phone calling on a numberDELDisable phone calling on a numberGETList SIP trunksPOSTCreate a SIP trunkGETGet a SIP trunkDELDelete a SIP trunkPOSTRotate a SIP trunk's passwordPOSTAttach a number to a SIP trunkDELDetach a number from its SIP trunk